GearmanWorker::returnCode
GearmanWorker::setOptions
GearmanWorker
PHP Manual

# GearmanWorker::setId

(No version information available, might only be in Git)

GearmanWorker::setId — Give the worker an identifier so it can be tracked when asking gearmand for the list of available workers.

### Description

public bool GearmanWorker::setId ( string `$id` )

Assigns the worker an identifier.

### Parameters

`id`

  A string identifier.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 GearmanWorker::setId() example

Set an identifier for a simple worker.

`<?php
$worker= new GearmanWorker();
$worker->setId('test');
?>`

The above example will output something similar to:

    Run the following command:
    gearadmin --workers

    Output:
    30 ::3a3a:3361:3361:3a33%976303667 - : test

GearmanWorker::returnCode
GearmanWorker::setOptions
GearmanWorker
PHP Manual